DCOPYM(3)

SYNOPSIS
SUBROUTINE DCOPYM (N, DX, INCX, DY, INCY)

NAME
dcopym - Copy the negative of a vector to a vector.

LIBRARY
SLATEC (BLAS)

CATEGORY
D1A5

TYPE
DOUBLE PRECISION (SCOPYM-S, DCOPYM-D)

KEYWORDS
BLAS, COPY, VECTOR

AUTHOR
Kahaner, D. K., (NBS)

DESCRIPTION
Description of Parameters The * Flags Output Variables N Number of elements in vector(s) DX Double precision vector with N elements INCX Storage spacing between elements of DX DY* Double precision negative copy of DX INCY Storage spacing between elements of DY *** Note that DY = -DX *** Copy negative of d.p. DX to d.p. DY. For I=0 to N-1, copy -DX(LX+I*INCX) to DY(LY+I*INCY), where LX=1 if INCX .GE. 0, else LX = 1+(1-N)*INCX, and LY is defined in a similar way using INCY.

REFERENCES
(NONE)

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
861211 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
920310 Corrected definition of LX in DESCRIPTION. (WRB)